API docs

Update address and customer details

POST
/order/address

Update the shipping address or customer details for an existing unpaid order. Once the order is paid, you can no longer change the country or state.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/order/address" \  -H "Content-Type: application/json" \  -d '{    "order_id": 1234,    "merchant_api_key": "API_KEY",    "address_details": {      "email_address": "joshua@designy.com",      "shipping_address": {        "first_name": "Joshua",        "last_name": "Grim",        "address_line_1": "Test",        "address_line_2": "1",        "zip_code": "35100",        "city": "Florida",        "country_code": "AE"      }    }  }'
Empty